Bug 16508 - User permission "parameters_remaining_permissions Remaining system parameters permissions" does not allow saving systempreferences.
Summary: User permission "parameters_remaining_permissions Remaining system parameters...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-12 15:04 UTC by Barton Chittenden
Modified: 2017-12-07 22:16 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16508: Updating a syspref requires parameters_remaining_permissions (1.33 KB, patch)
2016-05-17 13:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16508: Updating a syspref requires parameters_remaining_permissions (1.51 KB, patch)
2016-05-31 14:31 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16508: Updating a syspref requires parameters_remaining_permissions (1.51 KB, patch)
2016-06-04 14:03 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2016-05-12 15:04:18 UTC
A staff borrower with catalogue and "parameters_remaining_permissions Remaining system parameters permissions" cannot save sysprefs.

To recreate:

1/ Create a staff user.
2/ Go to details, select more->set permissions.
3/ Set catalogue, Manage Koha system settings (Administration panel), manage circulation rules, and Remaining system parameters permissions.
4/ Log in as the new staff user, go to administration > system preferences. Change a syspref and save it... it will save correctly.
5/ Log back in as superlibrarian
6/ On the 'set permissions' screen, un-check 'manage circulation rules' and save.
7/ Log back in to the new staff user, and try to change the same systemprefrence and save.

You will see the following message:

Error; your data might not have been saved
You need to log in again, your session has timed out.
Comment 1 Jonathan Druart 2016-05-17 13:39:38 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-05-31 14:31:18 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2016-06-04 14:03:55 UTC
Created attachment 52057 [details] [review]
Bug 16508: Updating a syspref requires parameters_remaining_permissions

And not all of parameters flags.

Test plan:
1/ Create a staff user.
2/ Go to details, select more->set permissions.
3/ Set catalogue, Manage Koha system settings (Administration panel),
manage circulation rules, and Remaining system parameters permissions.
4/ Log in as the new staff user, go to administration > system
preferences. Change a syspref and save it... it will save correctly.
5/ Log back in as superlibrarian
6/ On the 'set permissions' screen, un-check 'manage circulation rules'
and save.
7/ Log back in to the new staff user, and try to change the same
systemprefrence and save.

Followed test plan, works as expected.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Brendan Gallagher 2016-06-06 17:35:35 UTC
Pushed to Master - Should be in the November 2016 Release.  Thanks
Comment 5 Frédéric Demians 2016-06-15 07:39:38 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 6 Julian Maurice 2016-06-16 08:28:38 UTC
Patch pushed to 3.22.x, will be in 3.22.8